package example.energy.coolemall;

import schedframe.resources.computing.profiles.energy.EnergyEvent;
import schedframe.resources.devices.PhysicalResource;
import schedframe.scheduling.manager.tasks.JobRegistry;
import simulator.ConfigurationOptions;
import example.energy.BaseEnergyEstimationPlugin;

public class FlowPumpInletEnergyEstimationPlugin extends BaseEnergyEstimationPlugin {

	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
			PhysicalResource resource) {
		
		double powerConsumption = 0;

		double nf = 0.6;

		double delta_p;//from database, CFD
		try{
			delta_p = ConfigurationOptions.pressureDrop;
		} catch (Exception e){
			delta_p = 0;
		}
		
		double Vair_total;
		
		try{
			Vair_total = ConfigurationOptions.airFlowVolume;
		} catch (Exception e){
			Vair_total = 0;
		}

		
		//if data not present in DB than don't take Pfans_dc into account
		if(delta_p != -1 && Vair_total != -1)
			powerConsumption = delta_p * Vair_total / nf;
		
		return powerConsumption;
	}
	
	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
		double airThroughput = 0;
		double Vair_total;
		
		try{
			Vair_total = ConfigurationOptions.airFlowVolume;
		} catch (Exception e){
			Vair_total = 0;
		}
		airThroughput = Vair_total;
		return airThroughput;
	}

}
